public class Maurerbauer
{
    private WELT world;
    private ROBOTER kurt;

    public Maurerbauer()
    {
        world = new WELT(10,10,3);
        kurt = new ROBOTER(world);
    }

    public void baueEineMauer(int kantenlaenge)
    {
        // kantenlaenge muss zwischen 1 und 10 liegen
        if (kantenlaenge > 0 && kantenlaenge <= 9) 
        {
            for (int i = 0; i < kantenlaenge; i++)
            {
                kurt.Hinlegen();
                kurt.Schritt();
            }
        }
        else
        {
            kurt.MeldungAusgeben("Geht nicht, weil ...");
        }
    }

    public void baueMauerUmWelt()
    {
        for (int i=0; i<4; i++) {
            while (!kurt.IstWand()) {
                kurt.Hinlegen();
                kurt.Schritt();
            }
            kurt.LinksDrehen();
        }
    }
}
